#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n,k,x,c=1,a=0;
    cin>>n>>k>>x;
    int p[n],b[k];
    for(int i=1;i<=n;i++)
        cin>>p[i];
    for(int i=1a;i<=k;i++){
            b[i]=p[i++];
            a+=c*b[i];
            c++;
            cout<<a<<" ";
    }

}